> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision a database without authentication

> Creates a database and returns connection details plus a 24h claim code.



## OpenAPI

````yaml https://global.thenile.dev/openapi.yaml?v=74222e6 post /databases/provision
openapi: 3.0.1
info:
  title: Nile ReST API
  description: Making SaaS chill.
  contact:
    email: support@thenile.dev
  version: 0.1.0-74222e6
servers:
  - url: https://global.thenile.dev
security: []
paths:
  /databases/provision:
    post:
      tags:
        - databases
      summary: Provision a database without authentication
      description: Creates a database and returns connection details plus a 24h claim code.
      operationId: provisionDatabaseUnauthenticated
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnauthenticatedProvisionDatabaseRequest'
        required: true
      responses:
        default:
          description: default response
          content:
            application/json: {}
components:
  schemas:
    UnauthenticatedProvisionDatabaseRequest:
      type: object
      properties:
        region:
          type: string
          enum:
            - AWS_US_WEST_2
            - AWS_EU_CENTRAL_1
            - AZURE_EASTUS

````